# propka.parameters

## Configuration file parameters

Holds parameters and settings that can be set in `propka.cfg`. The file format consists of lines of `keyword value [value ...]`, blank lines, and comment lines (introduced with `#`).

The module attributes below list the names and types of all key words in configuration file.

Classes

`InteractionMatrix`(name) | Interaction matrix class.
`PairwiseMatrix`(name) | Pairwise interaction matrix class.
`Parameters`(interaction_matrix, ...) | PROPKA parameter class.
`squared_property`() |

class propka.parameters.InteractionMatrix(name)

  Interaction matrix class.

  add(words)

    Add values to matrix.

    Parameters:

      words – values to add

  get_value(item1, item2)

    Get specific matrix value.

    Parameters:

      - item1 – matrix row index

      - item2 – matrix column index

    Returns:

      matrix value or None

  keys()

    Get keys from matrix.

    Returns:

      dictionary key list

class propka.parameters.PairwiseMatrix(name)

  Pairwise interaction matrix class.

  add(words)

    Add information to the matrix.

    TODO - this function unnecessarily bundles arguments into a tuple

    Parameters:

      words – tuple with assignment information and value

  get_value(item1, item2)

    Get specified value from matrix.

    Parameters:

      - item1 – row index

      - item2 – column index

    Returns:

      matrix value (or default)

  insert(key1, key2, value)

    Insert value into matrix.

    Parameters:

      - key1 – first matrix key (row)

      - key2 – second matrix key (column)

      - value – value to insert

  keys()

    Get keys from matrix.

    Returns:

      dictionary key list

class propka.parameters.Parameters(interaction_matrix: ~propka.parameters.InteractionMatrix = <factory>, sidechain_cutoffs: ~propka.parameters.PairwiseMatrix = <factory>, VanDerWaalsVolume: ~typing.Dict[str, float] = <factory>, charge: ~typing.Dict[str, float] = <factory>, model_pkas: ~typing.Dict[str, float] = <factory>, ions: ~typing.Dict[str, float] = <factory>, valence_electrons: ~typing.Dict[str, float] = <factory>, custom_model_pkas: ~typing.Dict[str, float] = <factory>, backbone_NH_hydrogen_bond: ~typing.Dict[str, list] = <factory>, backbone_CO_hydrogen_bond: ~typing.Dict[str, list] = <factory>, protein_group_mapping: ~typing.Dict[str, str] = <factory>, ignore_residues: ~typing.List[str] = <factory>, angular_dependent_sidechain_interactions: ~typing.List[str] = <factory>, acid_list: ~typing.List[str] = <factory>, base_list: ~typing.List[str] = <factory>, exclude_sidechain_interactions: ~typing.List[str] = <factory>, backbone_reorganisation_list: ~typing.List[str] = <factory>, write_out_order: ~typing.List[str] = <factory>, desolv_cutoff: float = 20.0, buried_cutoff: float = 15.0, coulomb_cutoff1: float = 4.0, coulomb_cutoff2: float = 10.0, version: str = 'VersionA', output_file_tag: str = '', ligand_typing: str = 'groups', pH: str = 'variable', reference: str = 'neutral', Nmin: int = 280, Nmax: int = 560, desolvationSurfaceScalingFactor: float = 0.25, desolvationPrefactor: float = -13.0, desolvationAllowance: float = 0.0, coulomb_diel: float = 80.0, COO_HIS_exception: float = 1.6, OCO_HIS_exception: float = 1.6, CYS_HIS_exception: float = 1.6, CYS_CYS_exception: float = 3.6, min_ligand_model_pka: float = -10.0, max_ligand_model_pka: float = 20.0, coupling_max_number_of_bonds: int = 3, min_bond_distance_for_hydrogen_bonds: int = 4, shared_determinants: bool = False, common_charge_centre: bool = False, remove_penalised_group: bool = True, max_intrinsic_pka_diff: float = 2.0, min_interaction_energy: float = 0.5, max_free_energy_diff: float = 1.0, min_swap_pka_shift: float = 1.0, min_pka: float = 0.0, max_pka: float = 10.0, sidechain_interaction: float = 0.85)

  PROPKA parameter class.

  parse_line(line)

    Parse parameter file line.

  parse_parameter(words)

    Parse field to parameters.

    Parameters:

      words – strings to parse

  parse_string(words)

    Parse field to strings.

    Parameters:

      words – strings to parse

  parse_to_list_dictionary(words: List[str])

    Parse field to list dictionary.

    Parameters:

      words – strings to parse.

  parse_to_matrix(words)

    Parse field to matrix.

    Parameters:

      words – strings to parse

  parse_to_number_dictionary(words)

    Parse field to number dictionary.

    Parameters:

      words – strings to parse.

  parse_to_string_dictionary(words)

    Parse field to string dictionary.

    Parameters:

      words – strings to parse

  parse_to_string_list(words)

    Parse field to string list.

    Parameters:

      words – strings to parse

  print_interaction_parameters()

    Print interaction parameters.

  print_interaction_parameters_latex()

    Print interaction parameters in LaTeX format.

  print_interactions_latex()

    Print interactions in LaTeX.